Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.yaml.snakeyaml.nodes
Class CollectionNode

    java.lang.Object
      org.yaml.snakeyaml.nodes.Node
          org.yaml.snakeyaml.nodes.CollectionNode

Direct Known Subclasses:
  MappingNode, SequenceNode

    public abstract class CollectionNode

extends Node

Base class for the two collection types `mapping` and `collection`.

Field Summary

Fields inherited from class org.yaml.snakeyaml.nodes.Node
`endMark, resolved, useClassConstructor`

Constructor Summary
`CollectionNode(Tag tag, Mark startMark, Mark endMark, Boolean flowStyle)`

Method Summary
`Boolean` | `getFlowStyle()` Serialization style of this collection.
`void` | `setEndMark(Mark endMark)`
`void` | `setFlowStyle(Boolean flowStyle)`

Methods inherited from class org.yaml.snakeyaml.nodes.Node
`equals, getEndMark, getNodeId, getStartMark, getTag, getType, hashCode, isResolved, isTwoStepsConstruction, setTag, setTwoStepsConstruction, setType, setUseClassConstructor, useClassConstructor`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionNode

    public CollectionNode(Tag tag,
                          Mark startMark,
                          Mark endMark,
                          Boolean flowStyle)

Method Detail

### getFlowStyle

    public Boolean getFlowStyle()

  Serialization style of this collection.

  Returns:
    `true` for flow style, `false` for block style.

### setFlowStyle

    public void setFlowStyle(Boolean flowStyle)

### setEndMark

    public void setEndMark(Mark endMark)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011. All Rights Reserved.